<?php namespace App\Modules\Pages\Controllers;

//use App\Modules\Pages\Models\UserPagesModel;

use App\Modules\Pages\Models\Mdl_pages;

use CodeIgniter\Controller;

class Pages extends Controller
{
   // private $userModel;

    /**
     * Constructor.
     */
     
     public function __construct()
    {
        //$db = \Config\Database::connect();
        $this->Mdl_pages = new Mdl_pages();
    }
    
   // public function __construct()
   // {
        //$this->userPagesModel = new UserPagesModel();
  //  }

    public function index()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/dashboard',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];

$data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	public function organization()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/organization',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

			return view('template/'.$template, $data);
	}
	
	
	
	public function contactus()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/contact-us',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
    public function termsofuse()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/terms-of-use',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	 public function disclaimer()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/disclaimer',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	public function privacy_policy()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/privacy-policy',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	public function plexepages()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/plexepages',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
  
    public function tradeDelegation()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/trade-delegation',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}	

    public function importantLinks()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/important-links',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
$data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	public function holidaylist()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/holiday-list',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
	
	public function terms()
	{
	    	$template = 'home';
		$data = [
		    'title' => 'Dashboard Page',
            'viewFile' => 'pages/terms-of-use',
            //'data' => $this->userPagesModel->getPagesUsers(),
        ];
        
        $data['country'] = $this->Mdl_pages->getAllRecords("country");

$data['captcha']="";

		return view('template/'.$template, $data);
	}
}
